/***********************************************************/
/*                                                         */
/* THIS IS A DEMO PROGRAM FOR THE HUNT ENGINEERING         */
/* UMI out pins. It actually programs a C6x01 timer to     */
/* drive the UMI pins, so it needs to be changed if it is  */
/* not a C6x01 procesor on the module you are using.       */
/*                                                         */
/*     PW    ver 1.0    2/4/00    first written            */
/*     PW    ver 2.0    14/7/00  changed for CCS 1.2       */
/***********************************************************/


#include <stdio.h>
#include <std.h>
  
#include "heron1.h"

volatile int *timer0ctrl =(int *) 0x01940000;
volatile int *timer0cnt =(int *) 0x01940008; 
volatile int *timer0per =(int *) 0x01940004;
volatile int i;



main()
{  
} 


maintask()
{
        
/* set up the C6201/C6201 timer control register to driver TOUT0 */
*timer0ctrl=(*timer0ctrl|0x3c1);
           
           
/* use HERON-API function to enable the UMI output */           
HeronUmiOut(0);

                   

while (1)
{   
for (i=0;i<0x10000;i++)  /*delay*/
{
asm ("	NOP	5");
}                                 

if (*timer0per <= 100)
{
*timer0per=10000; 
*timer0ctrl=(*timer0ctrl|0x40);
}

*timer0per=(*timer0per-10);  
*timer0ctrl=(*timer0ctrl|0x40); /*restart the timer*/
}
 
}  /* end of maintask*/


                                                    

